<link rel="stylesheet" href="css/pagesCss/travellerView.css" />
<div class="container borderClass mrgTop">
	<div class="row" id="profileModule">
	<!-- LEFT CONTENT-->
		<div class="col-xs-12 col-sm-3 col-md-3 col-lg-3 panel-body">
		<div ng-include="'views/account/user_menu.html'"></div>
				<div class="clearfix"></div>
		</div> <!-- end -->
		
		<!-- Right CONTENT-->
		<div class="col-xs-12 col-sm-9 col-md-9 col-lg-9 borderOverRide">
			<form class="form-horizontal" id="profileForm"  ng-submit="ownProfileUpdate();">
			<div class="row">
				<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 personalInfo">
				
				<div class="form-group">
				<div class="row top">
					<div class="col-xs-4 col-sm-3 col-md-2 col-lg-2 mt5">
						<img alt="profile image" src="images/no-avatar.jpg"/>
					</div>
					<div class="col-xs-4 col-sm-3 col-md-2 col-lg-2">
						<div class="form-group">
							<label class="control-label offset-2 white">
								<span class="star">Title</span>: 
							</label>
							<div class="col-xs-12 col-sm-10 col-md-10 col-lg-10">
								<select id="profile_title" name="profile_title" class="form-control required" ng-model="profileInfoData.personaldata.salutation" required>
								<option value={{satulation.value}} ng-repeat="satulation in salutationData">{{satulation.label}}</option>
								</select>
							</div>
						</div>
					</div>
					<div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
						<div class="form-group">
							<label class="control-label white">
								<span class="star">Full Name</span>:
							</label>
							
							<div class="row">
								<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6 mb10">
									<input type="text" maxlength="100" placeholder="First Name" name="first-name" id="first-name" class="form-control required" id="profile_fname" ng-model="profileInfoData.personaldata.fname" required/>
								</div>
								<div class="col-xs-12 col-sm-6 col-md-6 col-lg-6">
									<input type="text" maxlength="100" placeholder="Last Name" name="last-name" id="last-name" class="form-control required" id="profile_lname" ng-model="profileInfoData.personaldata.lname" required/>
								</div>
							</div>
						</div>
					</div>
					</div>
				</div>
			</div>
			</div>
			<hr class="row">
			<h4 class="">Contact Details</h4>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">E-mail ID: </label>
				<div class="col-xs-12 col-sm-8 col-md-6 col-lg-6">
					<input type="email" readonly="" id="profile_email" placeholder="Email Id" class="form-control" ng-model="profileInfoData.personaldata.email" maxlength="100"/>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">
					<span class="star">Mobile Number</span>:
				</label>
				<div class="col-xs-12 col-sm-8 col-md-6 col-lg-6">
				<div class="row">
					<div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 ">
						<input type="text" maxlength="5" value="" class="form-control required" name="mobileCode" id="mobileCode" ng-model="profileInfoData.personaldata.mobcntrycode" required/>
					</div>
					<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">
						<input type="text" maxlength="20" value="" id="profile_mobile" class="form-control required" name="profile_mobile" ng-model="profileInfoData.personaldata.mobile" required/>
					</div>
					</div>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Address:</label>
				<div class="col-xs-12 col-sm-8 col-md-6 col-lg-6">
					<textarea maxlength="120" placeholder="Address" class="form-control" rows="3" id="profile_address" name="profile_address" ng-model="addressObj.address"></textarea>
					<br>
					<div class="row">
						<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
							<input type="text" maxlength="25" placeholder="City" class="form-control" id="profile_city" name="profile_city" maxlength="100" ng-model="addressObj.city"/>
						</div>
						<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
							<select class="form-control" name="profile_country" id="profile_country" ng-model="addressObj.country" ng-options="country.code as country.displayname for country in countryResult">
								<option value="">Country</option>
							</select>
						</div>
					</div>
					<br>
					<div class="row">
						<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
							<input type="text" maxlength="10" placeholder="Zip code" id="profile_zipCode" name="profile_zipCode" class="form-control number"  ng-model="addressObj.zipcode"/>
						</div>
						<div class="col-xs-6 col-sm-6 col-md-6 col-lg-6">
						<input type="text" placeholder="State" class="form-control" id="profile_state" name="profile_state" maxlength="50" ng-model="addressObj.state"/>
						</div>
					</div>
				</div>
			</div>
			<hr class="row">
			<h4 class="">General Information</h4>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Date of Birth:</label>
				<div class="col-xs-12 col-sm-8 col-md-4 col-lg-4">
					<!-- <input type="text" class="form-control required mySelectCalendar" name="datepicker1" id="datepicker1" autocomplete="off" placeholder="dd-mm-yyyy" ng-model="profileInfoData.personaldata.dob" required/> -->
					<input type="text" class="form-control required mySelectCalendar" value={{dob1}} name="datepicker2" autocomplete="off" id="datepicker2" date-range-picker date-range-picker-popup="{{format}}" placeholder="dd-mm-yyyy" options= "loginOption" ng-model="dob" required/>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Gender:</label>
				<div class="col-xs-12 col-sm-8 col-md-4 col-lg-4">
					<select id="profile_gender" class="form-control" ng-model="profileInfoData.personaldata.gender">
						<option value="">select</option>									
						<option value="M">Male</option>									
						<option value="F">Female</option>									
					</select>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Passport No:</label>
				<div class="col-xs-12 col-sm-8 col-md-4 col-lg-4">
					<input type="text" name="profile_passport" id="profile_passport" class="form-control passport1 required" ng-model="profileInfoData.personaldata.passportNo" maxlength="100" required/>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Nationality</label>
				<div class="col-xs-12 col-sm-8 col-md-4 col-lg-4">
					<select class="form-control required" name="profile_nationality" id="profile_nationality" ng-model="profileInfoData.personaldata.nationalitycode" ng-options="nation.code as nation.displayname for nation in nationalityResult" required>
						<option value="">-Select-</option>
					</select>
				</div>
			</div>
			<hr class="row">
			<h4 class="">Preferences Details</h4>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Meal Preference:</label>
				<div class="col-xs-12 col-sm-8 col-md-4 col-lg-4">
					<select class="form-control" id="profile_mealPreference">
						<option value="">-Select-</option>
						<option value="8385">Baby Meal</option>
						<option value="8386">Bland Meal</option>
						<option value="8388">Child Meal</option>
						<option value="8389">Diabetic Meal</option>
						<option value="8391">Fruit Plater Meal</option>
						<option value="8392">Gluten Intolerant Meal</option>
						<option value="8394">Hindu Meal</option>
						<option value="8396">Kosher Meal</option>
						<option value="8397">Low Calorie Meal</option>
						<option value="8398">Low Fat Meal</option>
						<option value="8399">Low Lactose Meal</option>
						<option value="8400">Low Salt Meal</option>
						<option value="8401">Moslem Meal</option>
						<option value="8405">Seafood Meal</option>
						<option value="8407">Special Meal</option>
						<option value="8410">Asian Vegetarian Meal</option> `
						<option value="8412">Vegetarian Lacto-Ovo Meal</option>
						<option value="8414">Vegetarian Raw Meal</option>
						<option value="8415">Vegetarian Vegan Meal</option>
						<option value="25281">High Fiber Meal</option>
						<option value="25282">Oriental Meal</option>
						<option value="25283">Low Protein Meal</option>
						<option value="25284">Low Purin Meal</option>
						<option value="8387">Chicken Meal (LY Only)</option>
						<option value="8393">Greek Fasting Food (LY Only)</option>
						<option value="8395">Japanese Meal (AA Only)</option>
						<option value="8402">Regal Fish Meal (LY Only)</option>
						<option value="8403">Regal Glatt Vegetarian (LY Only)</option>
						<option value="8404">Regal Meal (LY Only)</option>
						<option value="8406">Special Kosher Fish Meal (LY Only)</option>
						<option value="8408">Strictly Kosher Child Meal (LY Only)</option>
						<option value="8409">Strictly Kosher Meal (LY Only)</option>
						<option value="8411">Vegetarian Jain Meal</option>
						<option value="8413">Vegetarian Oriental Meal</option>
					</select>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Seat Preference:</label>
				<div class="col-xs-12 col-sm-8 col-md-4 col-lg-4">
					<select class="form-control" id="profile_seatPreference">
						<option value="">-Select-</option>
						<option value="8310">Window</option>
						<option value="8311">Aisle</option>
						<option value="8313">Exit Row</option>
						<option value="8314">Front of the Plane</option>
						<option value="8315">Back of the Plane</option>
						<option value="8316">Any Seat with extra legroom</option>
						<option value="8317">Any Seat in Business or First Class</option>
					</select>
				</div>
			</div>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Frequent Flyer No:</label>
				<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7">
				<div class="row">
					<div class="col-xs-6 col-sm-6 col-md-5 col-lg-5 offset-0">
						<input type="text" name="profile_airline" class="form-control text-uppercase" id="profile_airline" ng-model="airlineName" placeholder="Airline Name" ng-change="autoAirlines(airlineName);" uib-typeahead="airline as airline.Title for airline in airlines | filter:$viewValue | limitTo:8" autocomplete="off"/>
						<input type="hidden" id="profileAirlineCode" ng-model="profile_AirlineCode"/>
					</div>
					<div class="col-xs-6 col-sm-6 col-md-5 col-lg-5 mb10">
						<input type="text" name="profile_flyerNo" maxlength="30" class="form-control" placeholder="F.F No" id="profile_flyerNo" ng-model="airCodes" uib-typeahead="aircode as aircode.Code for aircode in airlineCode | filter:$viewValue | limitTo:8" ng-change="airCodeChange(airCodes)" autocomplete="off"/>
					</div>
					<div class="col-xs-6 col-sm-8 col-md-2 col-lg-2 offset-0 mb10">
						<button class="applyBtn btn btn-sm btn-success" id="addFrequentFlyer" type="button" ng-click="addFrequentFlyer();">Add &nbsp; <i class="fa fa-plus-square"></i>
						</button>
					</div>
				</div>
				</div>
				<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 col-sm-offset-4 col-md-offset-4 col-lg-offset-4">
					<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0">
						<label ng-show="freqflyerlist.length != 0"><u>Airlines</u></label>
					</div>
					<div id="ffDtlGrid" class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" ng-show="freqflyerlist.length != 0">
						<div class="row size12" ng-repeat="frequentflyer in freqflyerlist">
							<div class="col-xs-7 col-sm-6 col-md-6 col-lg-6">
								<img width="25px" src="images/Airlines/sm{{frequentflyer.ffairline}}.png" alt="image" />
								<span>{{frequentflyer.ffairlinename}}</span>
							</div>
							<div class="col-xs-4 col-sm-5 col-md-5 col-lg-5">{{frequentflyer.ffnumber}}</div>
							<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 offset-0">
								<i class="fa fa-times communication-close closeBtn" ng-click="removeFrequentFlyer(frequentflyer);"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
			<hr class="row">
			<h4 class="">Communication Details</h4>
			<div class="form-group">
				<label class="control-label col-xs-12 col-sm-4 col-md-4 col-lg-4">Contact Type:</label>
				<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7">
				<div class="row">
					<div class="col-xs-5 col-sm-5 col-md-5 col-lg-5 offset-0">
						<select class="form-control required" id="profileContactType">
							<option value="">-Select-</option>
							<option value="MO">Mobile</option>
							<option value="PO">TELEPHONE OFFICE</option>
							<option value="PH">TELEPHONE HOME</option>
							<option value="EP">Email Personal</option>
							<option value="EO">Email Office</option>
						</select>
					</div>
					<div class="col-xs-7 col-sm-7 col-md-5 col-lg-5 mb10">
						<input type="text" name="contactValue" maxlength = "100" class="form-control" id="profileContactValue" placeholder="value"/>
					</div>
					<div class="col-xs-6 col-sm-8 col-md-2 col-lg-2 offset-0 mb10">
						<button class="applyBtn btn btn-sm btn-success" id="addCommunication" type="button" ng-click="addCommunication();">Add  &nbsp; <i class="fa fa-plus-square"></i>
						</button>
					</div>
				</div>
				</div>
				<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 col-sm-offset-4 col-md-offset-4 col-lg-offset-4">
					<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0" id="emailLabel">
						<label ng-show="emails.length != 0"><u>Email</u></label>
					</div>
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" id="emailGrid" ng-show="emails.length != 0">
						<div class="row size12" ng-repeat="email in emails">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2">{{email.commtypecode}}</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">{{email.commvalue}}</div>
							<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 offset-0">
								<i class="fa fa-times communication-close closeBtn" ng-click="removeEmails(email);"></i>
							</div>
						</div>
					</div>
				</div>
				<div class="col-xs-12 col-sm-8 col-md-7 col-lg-7 col-sm-offset-4 col-md-offset-4 col-lg-offset-4">
					<div class="col-xs-12 col-sm-8 col-md-8 col-lg-8 offset-0" id="phoneLabel">
						<label ng-show="phonenumbers.length != 0"><u>Phone Number</u></label>
					</div>
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 offset-0" id="phoneGrid" ng-show="phonenumbers.length != 0">
						<div class="row size12" ng-repeat="phonenumber in phonenumbers">
							<div class="col-xs-2 col-sm-2 col-md-2 col-lg-2">{{phonenumber.commtypecode}}</div>
							<div class="col-xs-9 col-sm-9 col-md-9 col-lg-9">{{phonenumber.commvalue}}</div>
							<div class="col-xs-1 col-sm-1 col-md-1 col-lg-1 offset-0">
								<i class="fa fa-times communication-close closeBtn" ng-click="removePhoneNumbers(phonenumber);"></i>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="form-group">
				<div class="col-xs-12 col-sm-11 col-md-12 col-lg-12 text-center">
					<button type="submit" id="profile_save" class="applyBtn btn btn-sm btn-success">Update Profile</button>
				</div>
				<div class="cssload-container lodingIcons" ng-show="loading">
							<div class="cssload-tube-tunnel"></div>
						</div>
			</div>
				</form>
			</div>
		</div>
	</div>